package cd.casic.ci.commons.bean.process.definition;


import cd.casic.framework.commons.pojo.PageParam;
import cn.hutool.db.Page;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线触发器模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineFollowQuery {
    //用户
    private String userId;

    //@流水线状态
    private String pipelineId;

    //@ApiProperty(name ="pageParam",desc = "分页参数")
    private PageParam pageParam = new PageParam();

    //排序参数
    private Object orderParams;
}
