package cd.casic.ci.commons.bean.process.setting;


import cd.casic.framework.commons.pojo.PageParam;
import cn.hutool.db.Page;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线环境配置模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class ScmQuery {

    //类型
    private String scmType;

    //分页参数
    private PageParam pageParam = new PageParam();

    //排序参数
    private Object orderParams;

}
