package cd.casic.ci.commons.bean.support.count;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线运行统计查询模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineRunCountQuery {

    /**
     * 流水线ID
     */
    private String pipelineId;

    // 查询时间
    private String[] queryTime = new String[]{};

    // 查询时间
    private int countDay = 0;

    // success(成功) error(失败) halt(停止) time(时间)，rate(速率)
    private String type;

}
