//package cd.casic.module.machine.controller;
//
//import cd.casic.framework.commons.pojo.CommonResult;
//import cd.casic.framework.commons.pojo.PageResult;
//import cd.casic.module.machine.dal.dataobject.SecretKey;
//import cd.casic.module.machine.service.SecretKeyService;
//import cd.casic.module.machine.controller.vo.SecretKeyDto;
//import io.swagger.v3.oas.annotations.Operation;
//import io.swagger.v3.oas.annotations.tags.Tag;
//import jakarta.annotation.Resource;
//import org.springframework.web.bind.annotation.*;
//
//import java.util.List;
//
//import static cd.casic.framework.commons.pojo.CommonResult.success;
//
//@RestController
//@RequestMapping("/api/secretKey")
//@Tag(name = "密钥管理")
//public class SecretKeyController {
//    @Resource
//    private SecretKeyService secretKeyService;
//
//    @PostMapping(value = "/add")
//    @Operation(summary = "新增密钥")
//    public CommonResult<Boolean> add(@RequestBody SecretKeyDto secretKeyDto) throws Exception {
//        return success(secretKeyService.addSecretKey(secretKeyDto));
//    }
//
//    @PutMapping("/bindingMachine")
//    @Operation(summary = "绑定机器")
//    public CommonResult<Boolean> bindingMachine(@RequestParam("secretKeyId") Long secretKeyId, @RequestParam("machineIds") List<Long> machineIds) {
//        secretKeyService.bindingMachine(secretKeyId, machineIds);
//        return success(true);
//    }
//
//    @PutMapping("/update")
//    @Operation(summary = "编辑密钥信息")
//    public CommonResult<Boolean> update(@RequestBody SecretKeyDto secretKeyDto) {
//        return success(secretKeyService.updateSecretKey(secretKeyDto));
//    }
//
//    @DeleteMapping("/deleteList")
//    @Operation(summary = "批量删除密钥")
//    public CommonResult<Boolean> deleteList(@RequestParam("secretKeyId") List<Long> secretKeyIds) {
//        return success(secretKeyService.deleteList(secretKeyIds));
//    }
//
//    @PostMapping("/list")
//    @Operation(summary = "获取密钥信息列表")
//    public CommonResult<PageResult<SecretKey>> list(@RequestBody SecretKeyDto secretKeyDto) {
//        return success(secretKeyService.listSecretKey(secretKeyDto));
//    }
//
//
//}
