package cd.casic.module.machine.controller.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MachineInfoDto extends PageDto {
    private Long id;

    private Date createDate;

    private Date updateDate;

    private String name;

    private String tag;

    private String hostIp;

    private String description;

    private String username;

    private String status;

    private Integer sshPort;

    private String password;

    private Long secretKeyId;

    private Long machineProxyId;

    private String authenticationType;

    private String machineInfoType;

    private int isProxy;
}
