package cd.casic.module.machine.dal.dataobject;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "machine_secret_key")
public class SecretKey extends BaseEntity{
    @TableField(value = "name")
    private String name;

    @TableField(value = "description")
    private String description;

    //oss存储路径
    @TableField(value = "path")
    private String path;

    @TableField
    private String fileName;

    //密钥密码
    @TableField(value = "password")
    private String password;
}
