package cd.casic.module.machine.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum MachineProxyStatus implements CodeEnum {
    /**
     * 代理状态 (online, offline, installing, updating, error)
     */
    ONLINE(1, "online"),
    OFFLINE(2, "offline"),
    INSTALLING(3, "installing"),
    UPDATING(4, "updating"),
    ERROR(5, "error");

    private final int code;

    private final String message;
}
