package cd.casic.module.machine.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum PermissionExceptionEnum implements CodeEnum {
    URL_NOT_EXIST(1, "资源路径不存在，请检查请求地址"),

    NO_PERMISSION(2, "没有权限访问资源，请联系管理员"),

    NO_PERMISSION_OPERATE(3, "没有权限操作该数据，请联系管理员");

    private final int code;

    private final String message;
}
