package cd.casic.module.machine.service;

import cd.casic.framework.commons.pojo.PageResult;
import cd.casic.module.machine.dal.dataobject.SecretKey;
import cd.casic.module.machine.controller.vo.SecretKeyDto;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface SecretKeyService extends IService<SecretKey> {
    boolean addSecretKey(SecretKeyDto secretKeyDto) throws Exception;

    void bindingMachine(Long secretKeyId, List<Long> machineInfoIds);

    boolean updateSecretKey(SecretKeyDto secretKeyDto);


    PageResult<SecretKey> listSecretKey(SecretKeyDto secretKeyDto);



    boolean deleteList(List<Long> secretKeyIds);
}

