package cd.casic.module.process.support.postprocess.dao;

import cd.casic.ci.commons.bean.engine.postprocess.PostprocessInstance;
import cd.casic.framework.mybatis.core.mapper.BaseMapperX;
import cd.casic.module.process.support.postprocess.entity.PostprocessInstanceDo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author by mianbin
 * @Classname PostprocessInstanceDao
 * @Description TODO
 * @Date 2025/4/23 16:54
 */
@Mapper
public interface PostprocessInstanceDao extends BaseMapperX<PostprocessInstanceDo> {
    String createPostInstance(PostprocessInstance instance);

    PostprocessInstance findOnePostInstance(String postInstanceId);

    void updatePostInstance(PostprocessInstance instance);

    List<PostprocessInstanceDo> findPipelinePostInstance(String instanceId);

    List<PostprocessInstance> findAllPostInstance();

    List<PostprocessInstanceDo> findTaskPostInstance(String taskInstanceId);
}
