package cd.casic.module.process.support.trigger.dao;

import cd.casic.framework.mybatis.core.mapper.BaseMapperX;
import cd.casic.module.process.support.trigger.dateObject.Trigger;
import cd.casic.module.process.support.trigger.dateObject.TriggerQuery;
import cd.casic.module.process.support.trigger.entity.TriggerDo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author by mianbin
 * @Classname TriggerDao
 * @Description TODO
 * @Date 2025/4/23 20:03
 */
@Mapper
public interface TriggerDao extends BaseMapperX<TriggerDo> {
    String createTrigger(TriggerDo triggerEntity);

    void updateTrigger(TriggerDo triggerEntity);

    List<TriggerDo> findTriggerList(TriggerQuery triggerQuery);

    TriggerDo findOneTrigger(String triggerId);

    void deleteTrigger(String triggerId);

    List<Trigger> findAllTrigger();

    List<Trigger> findAllTriggerList(List<String> idList);
}
