package cd.casic.module.machine.controller.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SecretKeyDto extends PageDto {
    private Long id;

    private String name;

    private String description;

    //存储路径,本地上传文件路径
    private String path;

    private String fileName;

    //密钥密码
    private String password;

    private Date createDate;

    private Date updateDate;

    private List<Long> machineInfoIds;
}
