package cd.casic.module.machine.convert;

import cd.casic.module.machine.controller.vo.MachineEnvVO;
import cd.casic.module.machine.dal.dataobject.MachineEnvDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
@Mapper
public interface MachineEnvConvert {

    MachineEnvConvert INSTANCE = Mappers.getMapper(MachineEnvConvert.class);

    // 转换实体为VO
    default MachineEnvVO convertToVO(MachineEnvDO machineEnvDO) {
        MachineEnvVO VO = new MachineEnvVO();
        VO.setId(machineEnvDO.getId());
        VO.setEnvKey(machineEnvDO.getEnvKey());
        VO.setEnvValue(machineEnvDO.getEnvValue());
        VO.setDescription(machineEnvDO.getDescription());
        VO.setCreateTime(machineEnvDO.getCreateTime());
        VO.setUpdateTime(machineEnvDO.getUpdateTime());
        return VO;
    }

}
