package cd.casic.module.process.message.model;

import cd.casic.module.process.message.model.setting.MessageType;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.util.List;

@Data
public class MessageNotice {
    private String id;
    @NotNull
//    @Mappings({@Mapping(
//            source = "messageType.id",
//            target = "messageTypeId"
//    )})
//    @JoinQuery(
//            key = "id"
//    )
    private MessageType messageType;
    @NotNull
    private Integer type;
    @NotNull
    private String bgroup;
    private int scope = 1;
    @NotNull
    private String messageSendTypeId;
    private Boolean open;
    private List<String> sendTypeList;
    private List<String> groupList;
    private List<String> orgaList;
    private List<String> userList;
    private List<String> roleList;
}
