package cd.casic.module.process.process.setting.dataobject;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * 主机组与主机管理关系实体
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_auth_host_group_details", autoResultMap = true)
public class AuthHostGroupDetailsDo extends BaseDO {

    @TableId
    private String id;

    // 主机组ID
    private String groupId;

    // 主机ID
    private String hostId;
}
