package cd.casic.module.process.process.setting.dataobject;


import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_setting_scm", autoResultMap = true)
public class ScmDo extends BaseDO {

    //凭证id
    @TableId
    private String scmId;

    //1.git 2.svn 21.node 22.maven
    private String scmType;

    //名称
    private String scmName;

    //地址
    private String scmAddress;

}
