package cd.casic.module.process.support.trigger.dateObject;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线触发器模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@AllArgsConstructor
public class TriggerQuery {

    //名称
    private String name;

    //定时任务
    private int taskType;
    /**
     * 流水线ID
     */
    private String pipelineId;

    /**
     * 状态 1--未执行 2--已执行
     */
    private String state;

}
