package cd.casic.module.process.support.trigger.entity;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_trigger_time", autoResultMap = true)
public class TriggerTimeDo extends BaseDO {

    @TableId
    private String timeId;

    // 1:单次 2:周期
    private String taskType;

    //时间
    private int date;

    private String cron;

    //配置id
    private String triggerId;
}
